<?php

namespace Modules\Utils\NoAccess;

/**
 * Controller for the newly built-MVC `No Access` section
 * @author FlorinRusu
 *
 */
class Controller extends \App\Mvc\ControllerAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\Controller\Window\PaginatedListing\PaginatedListing::initialize()
	 */
	protected function initialize()
	{
		parent::initialize();
		$this->actionsCfg['index'] = [  'checkSection' => false,  'checkOption' => false,];

	}

	/**
	 *
	 * @param array $R
	 */
	protected function actionIndex($R)
	{
		// instantiate the view
		$view = new View_Index($this);

		// render the view
		return new \Engine\Mvc\Response\Html($view->render());
	}


}